<?php

namespace App\Http\Controllers;

use App\Rules\ReCAPTCHAv3;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\Mail;

use App\Models\Attraction;
use App\Models\Contact;
use App\Mail\ContactMail;

class ContactController extends Controller
{
    public function show()
    {
        $data[ 'attraction' ] = Attraction::where('Locale', '=', App::getlocale())->get();

        return view('website.contact', compact('data'));
    }

    public function send (Request $request){
        $Id = $this->loadData($request);
        if($Id != false) {
            $this->sendMail($Id);
            return response()->json([ 'alert' => 'success', 'message' => 'Successful!' ]);
        }
        else response()->json([ 'alert' => 'error', 'message' => 'Error!' ]);
    }

    public function loadData ($request){
        $Contact = new Contact;

        $request->validate([
            'name' => 'required',
            'email' => 'required',
            'subject' => 'required',
            'message' => 'required',
            'token' => ['required', new ReCAPTCHAv3]
        ]);

        $Contact->Locale = App::getlocale();
        $Contact->Name = $request->input('name');
        $Contact->Email = $request->input('email');
        $Contact->Phone = $request->input('phone');
        $Contact->Subject = $request->input('subject');
        $Contact->Message = $request->input('message');

        if($Contact->save()) return $Contact->id;
        else return false;
    }

    public function sendMail ($Id){
        $Contact = Contact::findOrFail($Id);

        Mail::to(Config::get('mail.from.address'))->send(new ContactMail($Contact));
    }
}
