<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\App;

use App\Models\Attraction;
use App\Models\Homes;
use App\Models\HomesCategory;
use App\Models\Partner;
use App\Models\Slider;
use App\Models\Testimonial;
use Illuminate\Support\Facades\Session;

class IndexController extends Controller
{
    public function show(){
        $data[ 'attraction' ] = Attraction::where('Locale', '=', App::getlocale())->get();
        $data[ 'homes_category' ] = HomesCategory::where('Locale', '=', App::getlocale())->get();
        $data[ 'homes' ] = Homes::where('Locale', '=', App::getlocale())->get();
        $data[ 'partner' ] = Partner::where('Locale', '=', App::getlocale())->get();
        $data[ 'slider' ] = Slider::where('Locale', '=', App::getlocale())->get();
        $data[ 'testimonial' ] = Testimonial::where('Locale', '=', App::getlocale())->where('Type', '=', 1)->get();

        return view('website.index', compact( 'data'));
    }

    public function locale($locale){
        App::setlocale($locale);
        Session::forget('locale');
        Session::put('locale', $locale);

        return redirect()->back();
    }
}
