<?php

namespace App\Mail;

use App\Models\HomesAvailability;
use App\Models\Homes;
use App\Models\HomesCategory;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Config;

class ChosenHomeMail extends Mailable
{
    use Queueable, SerializesModels;
    public $HomesAvailability, $Home, $HomeCategory;

    /**
     * Create a new message instance.
     *
     * @param HomesAvailability $HomesAvailability
     * @param Homes $Home
     * @param HomesCategory $HomeCategory
     */
    public function __construct(HomesAvailability $HomesAvailability, Homes $Home, HomesCategory $HomeCategory)
    {
        $this->HomesAvailability = $HomesAvailability;
        $this->Home = $Home;
        $this->HomeCategory = $HomeCategory;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->view('mail.chosenHome')
            ->from(Config::get('mail.from.address'))
            ->subject('Website check availability');
    }
}
