@php
    if( count( $data['home'] ) == 0 ){
@endphp
<script> alert( "{{ __('Home not found') }}" ); history.go( -1 ); </script>
@php
    exit('');
}

$Home = $data['home'][0];
$HomeAvailability = [];

$Title = __('Family Dreams House - :page', [ 'page' => $Home->Name ]);
$Parameter = session('Parameter')[0];
@endphp
<!DOCTYPE html>

<html lang="pt-br">
<head>
    @include( 'website.inc.head' )

    <title>{{ $Title }}</title>

    <meta property="og:title" content="{{ $Title }}">
    <meta name="twitter:title" content="{{ $Title }}">
    <meta property="og:site_name" content="{{ $Title }}">

    <meta name="description" content="{{ $Parameter->MetaDescription }}">
    <meta property="og:description" content="{{ $Parameter->MetaDescription }}">
    <meta name="twitter:description" content="{{ $Parameter->MetaDescription }}">

    <meta property="og:url" content="{{URL::current()}}">
    <meta property="og:image" content="{{ $Parameter->DefaultSocialMeta }}">
    <meta name="twitter:domain" content="{{URL::current()}}">
    <meta name="twitter:image" content="{{ $Parameter->DefaultSocialMeta }}">

    @include( 'website.inc.stylesheets' )
    <link rel="stylesheet" href="{{ URL::asset('public/asset/stylesheets/calendar.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ URL::asset('public/asset/stylesheets/datepicker.css') }}" type="text/css">

    <style>
        .flex-control-nav.flex-control-thumbs li img {
            opacity: 0;
        }

        .flex-control-nav.flex-control-thumbs li,
        .flex-control-nav.flex-control-thumbs li img {
            height: 80px !important;
        }

        .flex-control-nav.flex-control-thumbs li:hover img,
        .flex-control-nav.flex-control-thumbs li img.flex-active {
            opacity: 0;
        }
    </style>
</head>

<body class="stretched">
<div id="wrapper" class="clearfix">
    @include( 'website.inc.header' )

    @php
        $internalsTitle = __('Homes');
        $Breadcrumb = [
            [
                'a' => URL::route('home'),
                'title' => 'Home'
            ],
            [
                'a' => URL::route('homes'),
                'title' => __('Homes')
            ],
            [
                'a' => '',
                'title' => $Home->Name
            ]
        ];
    @endphp

    @include( 'website.inc.headerInternals' )

    <main id="content">

        <!-- CHOSEN HOME -->
        <section class="content-wrap pb-5">
            <div class="container clearfix">
                <div class="single-product">
                    <div class="product">
                        <div class="row gutter-40">
                            <div class="col-md-8">
                                <div class="product-image">
                                    <div class="fhomeslider" data-pagi="false" data-arrows="true" data-thumbs="false">
                                        <div class="flexslider">
                                            <div class="slider-wrap" data-lightbox="gallery">

                                                @php
                                                    $Photo =  json_decode( $Home->Photo );
                                                @endphp

                                                @for( $i=0; $i<count( $Photo ); $i++ )
                                                    @php
                                                        $PR = \ResizeImage::setImage( './storage/app/public'.$Photo[ $i ] );

                                                        if( $PR[ 0 ] > $PR[ 1 ] ) $resizeOption = 'maxheight';
                                                        else $resizeOption = 'maxwidth';

                                                        $ResizedPhoto = \ResizeImage::resize( './storage/app/public'.$Photo[ $i ], 104, 78, $resizeOption );
                                                    @endphp
                                                    <div class="slide" data-thumb="{{ URL::asset($ResizedPhoto) }}">
                                                        <a href="{{ URL::asset( 'public/storage'.$Photo[ $i ] ) }}" title="" data-lightbox="gallery-item">
                                                            <img src="{{ URL::asset( 'public/storage'.$Photo[ $i ]) }}" alt="">
                                                        </a>
                                                    </div>
                                                @endfor

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-4 product-desc">
                                <div class="title-block">
                                    <h3>{{ $Home->Code }}</h3>
                                    <span>{{ $Home->City }}, {{ $Home->State }}</span>
                                </div>
                                <div class="d-flex align-items-center justify-content-between">
                                    <div class="product-price"><del>${{ $Home->OldPrice }}</del> <ins>${{ $Home->NewPrice }}</ins></div>
                                </div>

                                <div class="line"></div>

                                <a href="#availability" id="btnAvailability" class="button button-full m-0 text-center font-weight-bold">{{ __('Availability') }}</a>

                                <div class="line"></div>

                                <p>{!! $Home->Abstract !!}</p>
                            </div>

                            <div class="w-100"></div>

                            <div id="availability" class="mb-4"></div>

                            <div class="col-12 mt-5">
                                <div class="tabs clearfix mb-0 has-plugin-tabs" id="tab-1" data-plugin="tabs">
                                    <ul class="tab-nav clearfix">
                                        <li><a href="#tabs-1"><i class="icon-align-justify2"></i><span class="d-none d-md-inline-block">{{ __('Description') }}</span></a></li>
                                        <li><a href="#tabs-2" id="btnTab2"><i class="icon-info-sign"></i><span class="d-none d-md-inline-block"> {{ __('Availability') }}</span></a></li>
                                        <li><a href="#tabs-3"><i class="icon-info-sign"></i><span class="d-none d-md-inline-block"> {{ __('Locality') }}</span></a></li>
                                    </ul>
                                    <div class="tab-container">
                                        <div class="tab-content clearfix" id="tabs-1">
                                            {!! $Home->Description !!}
                                        </div>
                                        <div class="tab-content clearfix p-0 m-0" id="tabs-2">
                                            <div class="container">
                                                <div class="row">
                                                    <div class="col-xs-12 col-lg-8">
                                                        <div class="events-calendar">
                                                            <div class="events-calendar-header clearfix">
                                                                <h2></h2>
                                                                <h3 class="calendar-month-year" style="width: auto;">
                                                                    <span id="calendar-month" class="calendar-month"></span>
                                                                    <span id="calendar-year" class="calendar-year"></span>
                                                                    <nav>
                                                                        <span id="calendar-prev" class="calendar-prev"><i class="icon-chevron-left"></i></span>
                                                                        <span id="calendar-next" class="calendar-next"><i class="icon-chevron-right"></i></span>
                                                                    </nav>
                                                                </h3>
                                                            </div>
                                                            <div id="calendar" class="fc-calendar-container"></div>
                                                        </div>
                                                    </div>
                                                    <div class="col-xs-12 col-lg-4">
                                                        <div class="widget form-widget">
                                                            <div class="form-result"></div>

                                                            <form class="p-2 form-widget default-form" action="{{URL::route('send-chosen-home')}}" method="post" style="background:#fff; border:20px solid #3f67ff;">
                                                                {{ csrf_field() }}
                                                                <input type="hidden" name="Home" value="{{ $Home->id }}">

                                                                <div class="form-process">
                                                                    <div class="css3-spinner">
                                                                        <div class="css3-spinner-scaler"></div>
                                                                    </div>
                                                                </div>

                                                                <div class="form-row">
                                                                    <div class="form-group col-md-12">
                                                                        <div class="product-price"><del>${{ $Home->OldPrice }}</del> <ins>${{ $Home->NewPrice }}</ins> <span style="color:#3b3d3f; font-size:50%; font-weight: normal">/ {{ __('Night') }}</span></div>
                                                                    </div>
                                                                </div>
                                                                <div class="form-row">
                                                                    <div class="form-group col-md-6">
                                                                        <label for="inputEmail4">CHECK-IN</label>
                                                                        <input name="CheckIn" type="text" value="" class="form-control text-left component-datepicker default" placeholder="{{ __('MM/DD/YYYY') }}" required>
                                                                    </div>
                                                                    <div class="form-group col-md-6">
                                                                        <label for="inputEmail4">CHECK-OUT</label>
                                                                        <input name="CheckOut" type="text" value="" class="form-control text-left component-datepicker default" placeholder="{{ __('MM/DD/YYYY') }}" required>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group">
                                                                    <label for="inputAddress">{{ __('Guest') }}(s)</label>
                                                                    <select name="Guest" class="form-control" required>
                                                                        <option selected value="1">1</option>
                                                                        <option value="2">2</option>
                                                                        <option value="3">3</option>
                                                                        <option value="5">4</option>
                                                                        <option value="5">5</option>
                                                                        <option value="6">6</option>
                                                                        <option value="7">7</option>
                                                                        <option value="8">8</option>
                                                                        <option value="9">9</option>
                                                                        <option value="10">10</option>
                                                                        <option value="11">11</option>
                                                                    </select>
                                                                </div>
                                                                <div class="form-row">
                                                                    <div class="form-group col-md-12">
                                                                        <label for="">{{ __('Name') }}</label>
                                                                        <input name="Name" type="text" value="" class="form-control text-left" required>
                                                                    </div>
                                                                </div>
                                                                <div class="form-row">
                                                                    <div class="form-group col-md-12">
                                                                        <label for="">{{ __('Email') }}</label>
                                                                        <input name="Email" type="text" value="" class="form-control text-left" required>
                                                                    </div>
                                                                </div>
                                                                <div class="form-row">
                                                                    <div class="form-group col-md-12">
                                                                        <label for="">{{ __('Phone') }}</label>
                                                                        <input name="Phone" type="text" value="" class="form-control text-left" required>
                                                                    </div>
                                                                </div>

                                                                <button class="button button-3d m-0 w-100" type="submit" name="submit" value="submit" style="color:#FFF; background:#e21960; border-color:#e21960;">{{ __('Check availability') }}</button>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-content clearfix p-0 m-0" id="tabs-3">
                                            <iframe height="800" src="https://maps.google.com/maps?q={{ $Home->latitude }},{{ $Home->longitude }}&hl=en&z=17&output=embed"></iframe>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <!-- /CHOSEN HOME -->

    </main>

    @include( 'website.inc.footer' )

</div>

@include( 'website.inc.javascripts' )
<script src="{{ URL::asset('public/asset/javascripts/jquery.calendario.js') }}"></script>

<script>
    $( document ).ready( function(){
        $( '#btnAvailability' ).on( 'click', function(){
            $( '#btnTab2' ).click();
        });
    });

    const canvasEvents = {
        @for( $i=0; $i<count( $HomeAvailability ); $i++ )
                @php
                    $begin = new DateTime( $HomeAvailability[ $i ][ 'CheckIn' ] );
                    $end = new DateTime($HomeAvailability[ $i ][ 'CheckOut' ]);

                    $interval = DateInterval::createFromDateString('1 day');
                    $period = new DatePeriod($begin, $interval, $end);
                @endphp

                @foreach ($period as $dt)
        '{{ $dt->format("m-d-Y") }}' : '<a href="#">{{ $HomeAvailability[ $i ][ 'Requester' ] }}</a>',
        @endforeach
        @endfor
    };

    let cal = $( '#calendar' ).calendario( {
                caldata : canvasEvents
            }
        ),
        $month = $( '#calendar-month' ).html( cal.getMonthName() ),
        $year = $( '#calendar-year' ).html( cal.getYear() );

    $( '#calendar-next' ).on( 'click', function() {
        cal.gotoNextMonth( updateMonthYear );
    } );

    $( '#calendar-prev' ).on( 'click', function() {
        cal.gotoPreviousMonth( updateMonthYear );
    } );

    $( '#calendar-current' ).on( 'click', function() {
        cal.gotoNow( updateMonthYear );
    } );

    const updateMonthYear = function() {
        $month.html( cal.getMonthName() );
        $year.html( cal.getYear() );
    }

    $(window).on( 'pluginDatePickerReady', function() {
        $('.component-datepicker.default').datepicker({
            autoclose: true,
            startDate: "today",
            format: " {{ strtolower( __( 'MM/DD/YYYY' ) ) }}",
        });
    });
</script>
</body>
</html>
