@php
    $Title = __('Family Dreams House - :page', [ 'page' => 'Contact' ]);
    $Parameter = session('Parameter')[0];
@endphp
        <!DOCTYPE html>

<html lang="pt-br">
<head>
    @include( 'website.inc.head' )

    <title>{{ $Title }}</title>

    <meta property="og:title" content="{{ $Title }}">
    <meta name="twitter:title" content="{{ $Title }}">
    <meta property="og:site_name" content="{{ $Title }}">

    <meta name="description" content="{{ $Parameter->MetaDescription }}">
    <meta property="og:description" content="{{ $Parameter->MetaDescription }}">
    <meta name="twitter:description" content="{{ $Parameter->MetaDescription }}">

    <meta property="og:url" content="{{URL::current()}}">
    <meta property="og:image" content="{{ $Parameter->DefaultSocialMeta }}">
    <meta name="twitter:domain" content="{{URL::current()}}">
    <meta name="twitter:image" content="{{ $Parameter->DefaultSocialMeta }}">

    @include( 'website.inc.stylesheets' )

</head>

<body class="stretched">
<div id="wrapper" class="clearfix">
    @include( 'website.inc.header' )

    @php
        $internalsTitle = __('Contact');
        $Breadcrumb = [
            [
                'a' => URL::route('home'),
                'title' => 'Home'
            ],
            [
                'a' => '',
                'title' => __('Contact')
            ]
        ];
    @endphp

    @include( 'website.inc.headerInternals' )

    <main>
        <section id="content">
            <div class="content-wrap">
                <div class="container">
                    <div class="row gutter-40 col-mb-80">
                        <div class="postcontent col-lg-9">
                            <h3>{{ __('Contact Us') }}</h3>

                            <div class="widget form-widget">
                                <div class="form-result"></div>

                                <form class="mb-0 form-widget default-form" action="{{URL::route('send-contact')}}" method="post">
                                    {{ csrf_field() }}
                                    <div class="form-process">
                                        <div class="css3-spinner">
                                            <div class="css3-spinner-scaler"></div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-md-6 form-group">
                                            <label for="form-widget-name">{{ __('Name') }} <small>*</small></label>
                                            <input name="name" type="text" id="form-widget-name" maxlength="255" minlength="2" required value="" class="required sm-form-control" />
                                        </div>

                                        <div class="col-md-6 form-group">
                                            <label for="form-widget-email">{{ __('Email') }} <small>*</small></label>
                                            <input name="email" type="email" id="form-widget-email" maxlength="255" minlength="5" required value="" class="required email sm-form-control" />
                                        </div>

                                        <div class="w-100"></div>

                                        <div class="col-md-8 form-group">
                                            <label for="form-widget-subject">{{ __('Subject') }} <small>*</small></label>
                                            <input name="subject" type="text" id="form-widget-subject" maxlength="255" minlength="2" required value="" class="required sm-form-control" />
                                        </div>

                                        <div class="col-md-4 form-group">
                                            <label for="widget-subscribe-form-phone">{{ __('Phone') }}</label>
                                            <input name="phone" type="text" id="widget-subscribe-form-phone" maxlength="255" minlength="2" value="" class="sm-form-control" />
                                        </div>

                                        <div class="w-100"></div>

                                        <div class="col-12 form-group">
                                            <label for="form-widget-message">{{ __('Message') }} <small>*</small></label>
                                            <textarea name="message" class="required sm-form-control" id="form-widget-message" minlength="2" required rows="6" cols="30"></textarea>
                                        </div>

                                        <div class="col-12 form-group d-none">
                                            <input type="text" id="form-widget--botcheck" name="form-widget-botcheck" value="" class="sm-form-control" />
                                        </div>

                                        <div class="col-12 form-group">
                                            <button class="button button-3d m-0" type="submit" id="form-widget--submit" name="form-widget--submit" value="submit">{{ __('Send') }}</button>
                                        </div>
                                    </div>

                                    <input type="hidden" name="prefix" value="widget-subscribe-form-">
                                </form>
                            </div>
                        </div>

                        <div class="sidebar col-lg-3">
                            <address>
                                <strong>{{ __('Office') }}:</strong><br>
                                {{ $Parameter->OfficeAddress }}
                            </address>
                            <abbr title="{{ __('Phone Number') }}"><strong>{{ __('Phone Number') }}:</strong></abbr> {{ $Parameter->PhoneNumber }}<br>
                            <abbr title="{{ __('Email Address') }}"><strong>{{ __('Email Address') }}:</strong></abbr> {{ $Parameter->EmailAddress }}

                            <div class="widget border-0 pt-0">
                                @if( $Parameter->Facebook != "" )
                                    <a href="{{ $Parameter->Facebook }}" class="social-icon si-small si-dark si-facebook" target="_blank">
                                        <i class="icon-facebook"></i>
                                        <i class="icon-facebook"></i>
                                    </a>
                                @endif

                                @if( $Parameter->Instagram != "" )
                                    <a href="{{ $Parameter->Instagram }}" class="social-icon si-small si-dark si-pocket" target="_blank">
                                        <i class="icon-instagram"></i>
                                        <i class="icon-instagram"></i>
                                    </a>
                                @endif

                                @if( $Parameter->Youtube != "" )
                                    <a href="{{ $Parameter->Youtube }}" class="social-icon si-small si-dark si-youtube" target="_blank">
                                        <i class="icon-youtube"></i>
                                        <i class="icon-youtube"></i>
                                    </a>
                                @endif

                                @if( $Parameter->Whatsapp != "" )
                                    <a href="{{ $Parameter->Whatsapp }}" class="social-icon si-small si-dark si-evernote" target="_blank">
                                        <i class="icon-whatsapp"></i>
                                        <i class="icon-whatsapp"></i>
                                    </a>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>

    @include( 'website.inc.footer' )

</div>

@include( 'website.inc.javascripts' )
</body>
</html>
