@php
    $Title = __('Family Dreams House - :page', [ 'page' => 'Homes' ]);
    $Parameter = session('Parameter')[0];
@endphp
        <!DOCTYPE html>

<html lang="pt-br">
<head>
    @include( 'website.inc.head' )

    <title>{{ $Title }}</title>

    <meta property="og:title" content="{{ $Title }}">
    <meta name="twitter:title" content="{{ $Title }}">
    <meta property="og:site_name" content="{{ $Title }}">

    <meta name="description" content="{{ $Parameter->MetaDescription }}">
    <meta property="og:description" content="{{ $Parameter->MetaDescription }}">
    <meta name="twitter:description" content="{{ $Parameter->MetaDescription }}">

    <meta property="og:url" content="{{URL::current()}}">
    <meta property="og:image" content="{{ $Parameter->DefaultSocialMeta }}">
    <meta name="twitter:domain" content="{{URL::current()}}">
    <meta name="twitter:image" content="{{ $Parameter->DefaultSocialMeta }}">

    @include( 'website.inc.stylesheets' )

</head>

<body class="stretched">
<div id="wrapper" class="clearfix">
    @include( 'website.inc.header' )

    @php
        $internalsTitle = __('Homes');
        $Breadcrumb = [
            [
                'a' => URL::route('home'),
                'title' => 'Home'
            ],
            [
                'a' => '',
                'title' => __('Homes')
            ]
        ];
    @endphp

    @include( 'website.inc.headerInternals' )

    <main id="content">

        <!-- HOMES -->
        <section id="homes" class="section mb-0 pb-0">
            <div class="container">
                <div class="grid-filter-wrap">
                    <ul class="grid-filter" data-container="#portfolio">
                        <li class="activeFilter"><a href="#" data-filter="*">{{ __('ShowAll') }}</a></li>
                        @for( $i = 0; $i < count( $data['homes_category'] ); $i++ )
                            <li><a href="#" data-filter=".pf-hcxw{{ $data['homes_category'][ $i ]->id }}">{{ $data['homes_category'][ $i ]->Title }}</a></li>
                        @endfor
                    </ul>
                    <div class="grid-shuffle" data-container="#portfolio">
                        <i class="icon-random"></i>
                    </div>
                </div>

                <div id="portfolio" class="portfolio row grid-container no-gutters" data-layout="fitRows">
                    @for( $i = 0; $i < count( $data['homes'] ); $i++ )
                        @php
                            $HomeLink = 'chosen-home/'.$data['homes'][ $i ]->Code.'-'.\Miscellaneous::fullescape( $data['homes'][ $i ]->Name.'-'.$data['homes'][ $i ]->City.'-'.$data['homes'][ $i ]->State );

                            $PhotoDefault = './public/storage'.json_decode( $data['homes'][ $i ]->Photo )[ 0 ];

                            $PR = \ResizeImage::setImage( $PhotoDefault );

                            if( $PR[ 0 ] > $PR[ 1 ] ){
                                $resizeOption = 'maxheight';
                            }else{
                                    $resizeOption = 'maxwidth';
                            }

                            $ResizedPhoto = \ResizeImage::resize( $PhotoDefault, 277, 208, $resizeOption, 'home' );
                        @endphp

                        <article class="portfolio-item col-lg-3 col-md-4 col-sm-6 col-12 pf-hcxw{{ $data['homes'][ $i ]->HomesCategory }}">
                            <div class="grid-inner">
                                <div class="portfolio-image">
                                    <div style="height:208px; background:url('{{ URL::asset( $ResizedPhoto ) }}') center no-repeat;"></div>

                                    <div class="bg-overlay">
                                        <div class="bg-overlay-content dark" data-hover-animate="fadeIn">
                                            <a href="{{ URL::asset($PhotoDefault) }}" class="overlay-trigger-icon bg-light text-dark" data-hover-animate="fadeInDownSmall" data-hover-animate-out="fadeOutUpSmall" data-hover-speed="350" data-lightbox="image" title=""><i class="icon-line-plus"></i></a>
                                            <a href="{{ $HomeLink }}" class="overlay-trigger-icon bg-light text-dark" data-hover-animate="fadeInDownSmall" data-hover-animate-out="fadeOutUpSmall" data-hover-speed="350"><i class="icon-line-ellipsis"></i></a>
                                        </div>
                                        <div class="bg-overlay-bg dark" data-hover-animate="fadeIn"></div>
                                    </div>
                                </div>

                                <div class="portfolio-desc">
                                    <h3><a href="{{ $HomeLink }}">{{ $data['homes'][ $i ]->Code }}</a></h3>
                                    <span>{{ $data['homes'][ $i ]->City }}, {{ $data['homes'][ $i ]->State }}</span>
                                </div>
                            </div>
                        </article>
                    @endfor
                </div>
            </div>
        </section>
        <!-- /HOMES -->

    </main>

    @include( 'website.inc.footer' )

</div>

@include( 'website.inc.javascripts' )
</body>
</html>
