@php
    $Title = __('Family Dreams House - :page', [ 'page' => 'Home' ]);
    $Parameter = session('Parameter')[0];
@endphp
        <!DOCTYPE html>

<html lang="pt-br">
<head>
    @include( 'website.inc.head' )

    <title>{{ $Title }}</title>

    <meta property="og:title" content="{{ $Title }}">
    <meta name="twitter:title" content="{{ $Title }}">
    <meta property="og:site_name" content="{{ $Title }}">

    <meta name="description" content="{{ $Parameter->MetaDescription }}">
    <meta property="og:description" content="{{ $Parameter->MetaDescription }}">
    <meta name="twitter:description" content="{{ $Parameter->MetaDescription }}">

    <meta property="og:url" content="{{URL::current()}}">
    <meta property="og:image" content="{{ $Parameter->DefaultSocialMeta }}">
    <meta name="twitter:domain" content="{{URL::current()}}">
    <meta name="twitter:image" content="{{ $Parameter->DefaultSocialMeta }}">

    @include( 'website.inc.stylesheets' )

    <style>
        #AttractionsContainer > div.owl-carousel.image-carousel.carousel-widget.owl-loaded.owl-drag.with-carousel-dots > div.owl-dots > button {
            background-color: #ffffff !important;
        }
    </style>
</head>

<body class="stretched">
<div id="wrapper" class="clearfix">
    @include( 'website.inc.header' )

    <!-- SLIDER -->
    <section id="slider" class="slider-element slider-parallax swiper_wrapper min-vh-60 min-vh-md-100 include-header">
        <div class="slider-inner">
            <div class="swiper-container swiper-parent">
                <div class="swiper-wrapper">

                    @for( $i = 0; $i < count( $data['slider'] ); $i++ )
                        <div class="swiper-slide dark">
                            <div class="container">
                                <div class="slider-caption slider-caption-center">
                                    <h2 data-animate="fadeInUp"><?php echo $data['slider'][ $i ]->Text; ?></h2>
                                    <p class="d-none d-sm-block" data-animate="fadeInUp" data-delay="200"><?php echo $data['slider'][ $i ]->SubText; ?></p>
                                </div>
                            </div>
                            <div class="swiper-slide-bg" style="background-image: url('public/storage{{json_decode( $data['slider'][ $i ]->Image )[ 0 ]}}');"></div>
                        </div>
                    @endfor

                </div>
                <div class="slider-arrow-left"><i class="icon-angle-left"></i></div>
                <div class="slider-arrow-right"><i class="icon-angle-right"></i></div>
            </div>
            <a href="#" data-scrollto="#content" data-offset="100" class="one-page-arrow dark"><i class="icon-angle-down infinite animated fadeInDown"></i></a>
        </div>
    </section>

    <!-- /SLIDER -->

    <main id="content">
        <!-- BLUE SPACE -->
        <section id="bluespace" class="content-wrap pb-0">
            <div class="button button-full button-blue center text-right header-stick bottommargin-lg" style="cursor:default;">
                <div class="container clearfix">
                    {!! $Parameter->BlueBannerDescription !!}
                </div>
            </div>
        </section>
        <!-- /BLUE SPACE -->

        <!-- FamilyDreamsHouse -->
        <section id="FamilyDreamsHouse">
            <div class="container clearfix">
                <div class="heading-block center border-bottom-0">
                    <h1>{{ $Parameter->WhoWeAreTitle }}</h1>
                    <span style="font-size:21px;">{{ $Parameter->WhoWeAreSubTitle }}</span>
                </div>

                <div class="row justify-content-center col-mb-50">
                    <div class="col-sm-6 col-lg-4">
                        <div class="heading-block fancy-title border-bottom-0 title-bottom-border">
                            <h4>{{ strip_tags( $Parameter->WhoWeAreWhyCintraTitle ) }}</h4>
                        </div>

                        <p></p>
                        <div class="postcontent">
                            <div data-readmore="true" data-readmore-trigger-open="{{ __('Read more') }} <i class='icon-angle-down'></i>" data-readmore-trigger-close="false">
                                {{ strip_tags( $Parameter->WhoWeAreWhyCintraText ) }}
                                <a href="#" class="btn btn-link text-primary read-more-trigger"></a>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-6 col-lg-4">
                        <div class="heading-block fancy-title border-bottom-0 title-bottom-border">
                            <h4>{{ strip_tags( $Parameter->WhoWeAreOurMissionTitle ) }}</h4>
                        </div>

                        <p></p>
                        <div class="postcontent">
                            <div data-readmore="true" data-readmore-trigger-open="{{ __('Read more') }} <i class='icon-angle-down'></i>" data-readmore-trigger-close="false">
                                {{ strip_tags( $Parameter->WhoWeAreOurMissionText ) }}
                                <a href="#" class="btn btn-link text-primary read-more-trigger"></a>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-6 col-lg-4">
                        <div class="heading-block fancy-title border-bottom-0 title-bottom-border">
                            <h4>{{ strip_tags( $Parameter->WhoWeAreWhatWeDoTitle ) }}</h4>
                        </div>

                        <div class="postcontent">
                            <div data-readmore="true" data-readmore-trigger-open="{{ __('Read more') }} <i class='icon-angle-down'></i>" data-readmore-trigger-close="false">
                                {{ strip_tags( $Parameter->WhoWeAreWhatWeDoText ) }}
                                <a href="#" class="btn btn-link text-primary read-more-trigger"></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- /FamilyDreamsHouse -->

        <!-- HOMES -->
        <section id="homes" class="section mb-0 pb-0">
            <div class="container">
                <div class="heading-block center mb-4">
                    <h2>{{ __('Homes') }}</h2>
                </div>
                <div class="grid-filter-wrap">
                    <ul class="grid-filter" data-container="#portfolio">
                        <li class="activeFilter"><a href="#" data-filter="*">{{ __('ShowAll') }}</a></li>
                        @for( $i = 0; $i < count( $data['homes_category'] ); $i++ )
                            <li><a href="#" data-filter=".pf-hcxw{{ $data['homes_category'][ $i ]->id }}">{{ $data['homes_category'][ $i ]->Title }}</a></li>
                        @endfor
                    </ul>
                    <div class="grid-shuffle" data-container="#portfolio">
                        <i class="icon-random"></i>
                    </div>
                </div>

                <div id="portfolio" class="portfolio row grid-container no-gutters" data-layout="fitRows">
                    @for( $i = 0; $i < count( $data['homes'] ); $i++ )
                        @php
                            $HomeLink = 'chosen-home/'.$data['homes'][ $i ]->Code.'-'.\Miscellaneous::fullescape( $data['homes'][ $i ]->Name.'-'.$data['homes'][ $i ]->City.'-'.$data['homes'][ $i ]->State );

                            $PhotoDefault = './public/storage'.json_decode( $data['homes'][ $i ]->Photo )[ 0 ];

                            $PR = \ResizeImage::setImage( $PhotoDefault );

                            if( $PR[ 0 ] > $PR[ 1 ] ){
                                $resizeOption = 'maxheight';
                            }else{
                                    $resizeOption = 'maxwidth';
                            }

                            $ResizedPhoto = \ResizeImage::resize( $PhotoDefault, 277, 208, $resizeOption, 'home' );
                        @endphp

                        <article class="portfolio-item col-lg-3 col-md-4 col-sm-6 col-12 pf-hcxw{{ $data['homes'][ $i ]->HomesCategory }}">
                            <div class="grid-inner">
                                <div class="portfolio-image">
                                    <div style="height:208px; background:url('{{ URL::asset( $ResizedPhoto ) }}') center no-repeat;"></div>

                                    <div class="bg-overlay">
                                        <div class="bg-overlay-content dark" data-hover-animate="fadeIn">
                                            <a href="{{ URL::asset($PhotoDefault) }}" class="overlay-trigger-icon bg-light text-dark" data-hover-animate="fadeInDownSmall" data-hover-animate-out="fadeOutUpSmall" data-hover-speed="350" data-lightbox="image" title=""><i class="icon-line-plus"></i></a>
                                            <a href="{{ $HomeLink }}" class="overlay-trigger-icon bg-light text-dark" data-hover-animate="fadeInDownSmall" data-hover-animate-out="fadeOutUpSmall" data-hover-speed="350"><i class="icon-line-ellipsis"></i></a>
                                        </div>
                                        <div class="bg-overlay-bg dark" data-hover-animate="fadeIn"></div>
                                    </div>
                                </div>

                                <div class="portfolio-desc">
                                    <h3><a href="{{ $HomeLink }}">{{ $data['homes'][ $i ]->Code }}</a></h3>
                                    <span>{{ $data['homes'][ $i ]->City }}, {{ $data['homes'][ $i ]->State }}</span>
                                </div>
                            </div>
                        </article>
                    @endfor
                </div>
            </div>
        </section>
        <!-- /HOMES -->

        <!-- ATTRACTIONS -->
        <section id="attractions" class="container-fluid" style="background:#3f67ff;">
            <div id="AttractionsContainer" class="container clearfix pt-5 pb-5">
                <div class="heading-block-light-gray center mb-5">
                    <h2 style="color:#FFF;">{{ __('Attractions') }}</h2>
                </div>
                <div class="owl-carousel image-carousel carousel-widget" data-margin="10" data-loop="true" data-nav="true" data-autoplay="5000" data-pagi="true" data-items-xs="1" data-items-sm="3" data-items-md="4" data-items-lg="4" data-items-xl="4">
                    @for( $i = 0; $i < count( $data[ 'attraction' ] ); $i++ )
                        <div class="oc-item">
                            <a href="{{ $data[ 'attraction' ][ $i ]->Link }}" target="_blank">
                                <img src="{{ URL::asset( 'public/storage'.json_decode( $data[ 'attraction' ][ $i ]->Image )[ 0 ] ) }}" alt="{{ $data[ 'attraction' ][ $i ]->Title }}">
                            </a>
                            <div class="mt-2" style="color:#FFF; font-size:19px; text-align:center;">{{ $data[ 'attraction' ][ $i ]->Title }}</div>
                        </div>
                    @endfor
                </div>
            </div>
        </section>
        <!-- /ATTRACTIONS -->

        <!-- PARTNERS -->
        <section id="partners" class="content-wrap">
            <div class="container clearfix mt-5">
                <div class="heading-block center mb-4">
                    <h2>{{ __('Partners') }}</h2>
                </div>
                <div id="oc-clients" class="owl-carousel image-carousel carousel-widget" data-margin="10" data-loop="true" data-nav="true" data-autoplay="5000" data-pagi="true" data-items-xs="2" data-items-sm="3" data-items-md="4" data-items-lg="5" data-items-xl="5">
                    @for( $i = 0; $i < count( $data['partner'] ); $i++ )
                        <div class="oc-item">
                            <a href="{{ $data['partner'][ $i ]->Link }}" target="_blank">
                                <img src="{{ URL::asset('public/storage'.json_decode( $data[ 'partner' ][ $i ]->Image )[ 0 ]) }}" alt="">
                            </a>
                        </div>
                    @endfor
                </div>
            </div>
        </section>
        <!-- /PARTNERS -->

        <!-- TESTIMONIALS -->
        <section id="testimonials" class="section mt-0 mb-0">
            <div class="container clearfix">
                <div class="row justify-content-center col-mb-50">
                    <div class="col-sm-9 offset-lg-1 col-lg-8">
                        <div class="heading-block fancy-title border-bottom-0 title-bottom-border">
                            <h4>{{ __( 'Client Testimonials' ) }}</h4>
                        </div>

                        <div class="fslider testimonial border-0 p-0 shadow-none" data-animation="slide" data-arrows="false">
                            <div class="flexslider">
                                <div class="slider-wrap">
                                    @for( $i = 0; $i < count( $data[ 'testimonial' ] ); $i++ )
                                        <div class="slide">
                                            <div class="testi-content">
                                                <p>{{ strip_tags( $data[ 'testimonial' ][ $i ]->Text ) }}</p>
                                                <div class="testi-meta">
                                                    {{ $data[ 'testimonial' ][ $i ]->Name }}
                                                </div>
                                            </div>
                                        </div>
                                    @endfor
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- /TESTIMONIALS -->

    </main>

    @include( 'website.inc.footer' )

</div>

@include( 'website.inc.javascripts' )
</body>
</html>
