<?php

use Illuminate\Support\Facades\Route;

// -- ADMIN -- //
use App\Http\Controllers\AdminLoginController;
use App\Http\Controllers\AdminIndexController;
// -- /ADMIN -- //

use \App\Http\Middleware\Localization;
use App\Http\Middleware\Parameter;
use App\Http\Controllers\ContactController;
use App\Http\Controllers\HomesController;
use App\Http\Controllers\ChosenHomeController;
use App\Http\Controllers\FTPController;
use App\Http\Controllers\IndexController;
use App\Http\Controllers\NewsletterController;


// -- ADMIN -- //
Route::middleware([Parameter::class])->group( function () {
    Route::get('/admin', [AdminLoginController::class, 'show'])->name('admin');
    Route::post('/admin', [AdminLoginController::class, 'login'])->name('admin');
    Route::get('/logout', [AdminLoginController::class, 'logout'])->name('admin-logout');
    Route::get('/admin/home', [AdminIndexController::class, 'home'])->name('admin-home');
    Route::get('/admin/{page}', [AdminIndexController::class, 'show'])->name('admin-show');
});
// -- /ADMIN -- //


// -- WEBSITE -- //
Route::middleware([Localization::class, Parameter::class])->group( function () {
    Route::redirect('/', 'home');
    Route::get('/home', [ IndexController::class, 'show' ])->name('home');
    Route::get('/locale/{locale}', [ IndexController::class, 'locale' ])->name('locale');
    Route::post('/get-newsletter', [ NewsletterController::class, 'set' ])->name('get-newsletter');

    Route::get('/homes', [ HomesController::class, 'index' ])->name('homes');
    Route::get('/chosen-home/{Code}-{FriendlyURL}', [ ChosenHomeController::class, 'show' ])->name('chosen-home');
    Route::post('/send-chosen-home', [ ChosenHomeController::class, 'send' ])->name('send-chosen-home');

    Route::get('/contact', [ ContactController::class, 'show' ])->name('contact');
    Route::post('/contact', [ ContactController::class, 'send' ])->name('send-contact');

    Route::get('/ftp', [ FTPController::class, 'show' ])->name('show-files');
});
// -- /WEBSITE -- //
