<?php
    $Parameter = session('Parameter')[0];
?>
<!DOCTYPE html>

<html lang="pt-br">
    <head>
        <?php echo $__env->make( 'admin.inc.head' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <title>Admin</title>

        <?php echo $__env->make( 'admin.inc.stylesheets' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <link rel="stylesheet" type="text/css" href="<?php echo e(URL::asset('public/asset/stylesheets/admin/login-3.css')); ?>" />

    </head>

    <body id="kt_body" class="header-fixed subheader-enabled page-loading" style="background-image: url('<?php echo e(URL::asset('public/asset/images/admin/bg-7.jpg')); ?>');">

        <main class="d-flex flex-column flex-root">

            <!-- SECTION LOGIN -->
            <section class="login login-3 login-signin-on d-flex flex-row-fluid" id="kt_login">
                <div class="d-flex flex-center bgi-size-cover bgi-no-repeat flex-row-fluid" style="background-image: url('<?php echo e(URL::asset('public/asset/images/admin/bg-1.jpg')); ?>');">
                    <div class="login-form text-center text-white p-7 position-relative overflow-hidden">
                        <div class="d-flex flex-center mb-15">
                            <a href="#">
                                <img src="<?php echo e(URL::asset('public/asset/images/admin/logo.png')); ?>" class="max-h-100px" alt="" />
                            </a>
                        </div>

                        <!-- SECTION SIGNIN -->
                        <section class="login-signin">
                            <div class="mb-20">
                                <h3>Sign In To Admin</h3>
                                <p class="opacity-60 font-weight-bold">Enter your details to login to your account:</p>
                            </div>
                            <form class="form default-form" id="kt_login_signin_form" action="<?php echo e(URL::route('admin')); ?>" method="post">
                                <?php echo e(csrf_field()); ?>

                                <div class="form-group">
                                    <input class="form-control h-auto text-white placeholder-white opacity-70 bg-dark-o-70 rounded-pill border-0 py-4 px-8 mb-5" type="text" placeholder="Email" name="username" />
                                </div>
                                <div class="form-group">
                                    <input class="form-control h-auto text-white placeholder-white opacity-70 bg-dark-o-70 rounded-pill border-0 py-4 px-8 mb-5" type="password" placeholder="Password" name="password" />
                                </div>
                                <div class="form-group d-flex flex-wrap justify-content-between align-items-center px-8">
                                    <div class="checkbox-inline">
                                        <label class="checkbox checkbox-outline checkbox-white text-white m-0">
                                            <input type="checkbox" name="remember" />
                                            <span></span>Remember me</label>
                                    </div>
                                    <a href="javascript:;" id="kt_login_forgot" class="text-white font-weight-bold">Forget Password ?</a>
                                </div>
                                <div class="form-group text-center mt-10">
                                    <button id="kt_login_signin_submit" class="btn btn-pill btn-outline-white font-weight-bold opacity-90 px-15 py-3">Sign In</button>
                                </div>
                            </form>
                        </section>
                        <!-- /SECTION SIGNIN -->

                        <!-- SECTION FORGOT LOGIN -->
                        <section class="login-forgot">
                            <div class="mb-20">
                                <h3>Forgotten Password ?</h3>
                                <p class="opacity-60">Enter your email to reset your password</p>
                            </div>
                            <form class="form default-form" id="kt_login_forgot_form">
                                <?php echo e(csrf_field()); ?>

                                <div class="form-group mb-10">
                                    <input class="form-control h-auto text-white placeholder-white opacity-70 bg-dark-o-70 rounded-pill border-0 py-4 px-8" type="text" placeholder="Email" name="email" />
                                </div>
                                <div class="form-group">
                                    <button id="kt_login_forgot_submit" class="btn btn-pill btn-outline-white font-weight-bold opacity-90 px-15 py-3 m-2">Request</button>
                                    <button id="kt_login_forgot_cancel" class="btn btn-pill btn-outline-white font-weight-bold opacity-70 px-15 py-3 m-2">Cancel</button>
                                </div>
                            </form>
                        </section>
                        <!-- /SECTION FORGOT LOGIN -->

                    </div>
                </div>
            </section>
            <!-- /LOGIN -->

        </main>

        <?php echo $__env->make( 'admin.inc.javascripts' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <script src="<?php echo e(URL::asset('public/asset/javascripts/admin/login-general.js')); ?>"></script>

        <script src="https://www.google.com/recaptcha/api.js?render=<?php echo e($Parameter->RecaptchaFront); ?>"></script>
        <script>
            grecaptcha.ready( function(){
                grecaptcha.execute(
                    '<?php echo e($Parameter->RecaptchaFront); ?>',
                    {
                        action: 'contact'
                    }
                ).then( function( token ){
                    const Form = $( '.default-form' );

                    Form.prepend('<input type="hidden" name="token" value="' + token + '">');
                } );
            } );
        </script>


    </body>
</html>
<?php /**PATH /home/sunsethomes/public_html/resources/views/admin/login.blade.php ENDPATH**/ ?>