<?php
$Title = __('Sunset Homes - :page', [ 'page' => 'Homes' ]);
$Parameter = session('Parameter')[0];
?>
<!DOCTYPE html>

<html lang="pt-br">
    <head>
        <?php echo $__env->make( 'website.inc.head' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <title><?php echo e($Title); ?></title>

        <meta property="og:title" content="<?php echo e($Title); ?>">
        <meta name="twitter:title" content="<?php echo e($Title); ?>">
        <meta property="og:site_name" content="<?php echo e($Title); ?>">

        <meta name="description" content="<?php echo e($Parameter->MetaDescription); ?>">
        <meta property="og:description" content="<?php echo e($Parameter->MetaDescription); ?>">
        <meta name="twitter:description" content="<?php echo e($Parameter->MetaDescription); ?>">

        <meta property="og:url" content="<?php echo e(URL::current()); ?>">
        <meta property="og:image" content="<?php echo e($Parameter->DefaultSocialMeta); ?>">
        <meta name="twitter:domain" content="<?php echo e(URL::current()); ?>">
        <meta name="twitter:image" content="<?php echo e($Parameter->DefaultSocialMeta); ?>">

        <?php echo $__env->make( 'website.inc.stylesheets' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    </head>

    <body class="stretched">
        <div id="wrapper" class="clearfix">
            <?php echo $__env->make( 'website.inc.header' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <?php
                $internalsTitle = __('Homes');
                $Breadcrumb = [
                    [
                        'a' => URL::route('home'),
                        'title' => 'Home'
                    ],
                    [
                        'a' => '',
                        'title' => __('Homes')
                    ]
                ];
            ?>

            <?php echo $__env->make( 'website.inc.headerInternals' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <main id="content">

                <!-- HOMES -->
                <section id="homes" class="section mb-0 pb-0">
                    <div class="container">
                        <div class="grid-filter-wrap">
                            <ul class="grid-filter" data-container="#portfolio">
                                <li class="activeFilter"><a href="#" data-filter="*"><?php echo e(__('ShowAll')); ?></a></li>
                                <?php for( $i = 0; $i < count( $data['homes_category'] ); $i++ ): ?>
                                    <li><a href="#" data-filter=".pf-hcxw<?php echo e($data['homes_category'][ $i ]->id); ?>"><?php echo e($data['homes_category'][ $i ]->Title); ?></a></li>
                                <?php endfor; ?>
                            </ul>
                            <div class="grid-shuffle" data-container="#portfolio">
                                <i class="icon-random"></i>
                            </div>
                        </div>

                        <div id="portfolio" class="portfolio row grid-container no-gutters" data-layout="fitRows">
                            <?php for( $i = 0; $i < count( $data['homes'] ); $i++ ): ?>
                                <?php
                                $HomeLink = 'chosen-home/'.$data['homes'][ $i ]->Code.'-'.\Miscellaneous::fullescape( $data['homes'][ $i ]->Name.'-'.$data['homes'][ $i ]->City.'-'.$data['homes'][ $i ]->State );

                                $PhotoDefault = './public/storage'.json_decode( $data['homes'][ $i ]->Photo )[ 0 ];

                                $PR = \ResizeImage::setImage( $PhotoDefault );

                                if( $PR[ 0 ] > $PR[ 1 ] ){
                                    $resizeOption = 'maxheight';
                                }else{
                                        $resizeOption = 'maxwidth';
                                }

                                $ResizedPhoto = \ResizeImage::resize( $PhotoDefault, 277, 208, $resizeOption, 'home' );
                                ?>

                                <article class="portfolio-item col-lg-3 col-md-4 col-sm-6 col-12 pf-hcxw<?php echo e($data['homes'][ $i ]->HomesCategory); ?>">
                                    <div class="grid-inner">
                                        <div class="portfolio-image">
                                            <div style="height:208px; background:url('<?php echo e(URL::asset( $ResizedPhoto )); ?>') center no-repeat;"></div>

                                            <div class="bg-overlay">
                                                <div class="bg-overlay-content dark" data-hover-animate="fadeIn">
                                                    <a href="<?php echo e(URL::asset($PhotoDefault)); ?>" class="overlay-trigger-icon bg-light text-dark" data-hover-animate="fadeInDownSmall" data-hover-animate-out="fadeOutUpSmall" data-hover-speed="350" data-lightbox="image" title="Image"><i class="icon-line-plus"></i></a>
                                                    <a href="<?php echo e($HomeLink); ?>" class="overlay-trigger-icon bg-light text-dark" data-hover-animate="fadeInDownSmall" data-hover-animate-out="fadeOutUpSmall" data-hover-speed="350"><i class="icon-line-ellipsis"></i></a>
                                                </div>
                                                <div class="bg-overlay-bg dark" data-hover-animate="fadeIn"></div>
                                            </div>
                                        </div>

                                        <div class="portfolio-desc">
                                            <h3><a href="<?php echo e($HomeLink); ?>"><?php echo e($data['homes'][ $i ]->Code); ?></a></h3>
                                            <span><?php echo e($data['homes'][ $i ]->City); ?>, <?php echo e($data['homes'][ $i ]->State); ?></span>
                                        </div>
                                    </div>
                                </article>
                            <?php endfor; ?>
                        </div>
                    </div>
                </section>
                <!-- /HOMES -->

            </main>

            <?php echo $__env->make( 'website.inc.footer' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        </div>

        <?php echo $__env->make( 'website.inc.javascripts' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </body>
</html>
<?php /**PATH /home/sunsethomes/public_html/resources/views/website/homes.blade.php ENDPATH**/ ?>