<?php
$Title = __('Family Dreams House - :page', [ 'page' => 'Contact' ]);
$Parameter = session('Parameter')[0];
?>
<!DOCTYPE html>

<html lang="pt-br">
    <head>
        <?php echo $__env->make( 'website.inc.head' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <title><?php echo e($Title); ?></title>

        <meta property="og:title" content="<?php echo e($Title); ?>">
        <meta name="twitter:title" content="<?php echo e($Title); ?>">
        <meta property="og:site_name" content="<?php echo e($Title); ?>">

        <meta name="description" content="<?php echo e($Parameter->MetaDescription); ?>">
        <meta property="og:description" content="<?php echo e($Parameter->MetaDescription); ?>">
        <meta name="twitter:description" content="<?php echo e($Parameter->MetaDescription); ?>">

        <meta property="og:url" content="<?php echo e(URL::current()); ?>">
        <meta property="og:image" content="<?php echo e($Parameter->DefaultSocialMeta); ?>">
        <meta name="twitter:domain" content="<?php echo e(URL::current()); ?>">
        <meta name="twitter:image" content="<?php echo e($Parameter->DefaultSocialMeta); ?>">

        <?php echo $__env->make( 'website.inc.stylesheets' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    </head>

    <body class="stretched">
        <div id="wrapper" class="clearfix">
            <?php echo $__env->make( 'website.inc.header' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <?php
                $internalsTitle = __('Contact');
                $Breadcrumb = [
                    [
                        'a' => URL::route('home'),
                        'title' => 'Home'
                    ],
                    [
                        'a' => '',
                        'title' => __('Contact')
                    ]
                ];
            ?>

            <?php echo $__env->make( 'website.inc.headerInternals' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <main>
                <section id="content">
                    <div class="content-wrap">
                        <div class="container">
                            <div class="row gutter-40 col-mb-80">
                                <div class="postcontent col-lg-9">
                                    <h3><?php echo e(__('Contact Us')); ?></h3>

                                    <div class="widget form-widget">
                                        <div class="form-result"></div>

                                        <form class="mb-0 form-widget default-form" action="<?php echo e(URL::route('send-contact')); ?>" method="post">
                                            <?php echo e(csrf_field()); ?>

                                            <div class="form-process">
                                                <div class="css3-spinner">
                                                    <div class="css3-spinner-scaler"></div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-md-6 form-group">
                                                    <label for="form-widget-name"><?php echo e(__('Name')); ?> <small>*</small></label>
                                                    <input name="name" type="text" id="form-widget-name" maxlength="255" minlength="2" required value="" class="required sm-form-control" />
                                                </div>

                                                <div class="col-md-6 form-group">
                                                    <label for="form-widget-email"><?php echo e(__('Email')); ?> <small>*</small></label>
                                                    <input name="email" type="email" id="form-widget-email" maxlength="255" minlength="5" required value="" class="required email sm-form-control" />
                                                </div>

                                                <div class="w-100"></div>

                                                <div class="col-md-8 form-group">
                                                    <label for="form-widget-subject"><?php echo e(__('Subject')); ?> <small>*</small></label>
                                                    <input name="subject" type="text" id="form-widget-subject" maxlength="255" minlength="2" required value="" class="required sm-form-control" />
                                                </div>

                                                <div class="col-md-4 form-group">
                                                    <label for="widget-subscribe-form-phone"><?php echo e(__('Phone')); ?></label>
                                                    <input name="phone" type="text" id="widget-subscribe-form-phone" maxlength="255" minlength="2" value="" class="sm-form-control" />
                                                </div>

                                                <div class="w-100"></div>

                                                <div class="col-12 form-group">
                                                    <label for="form-widget-message"><?php echo e(__('Message')); ?> <small>*</small></label>
                                                    <textarea name="message" class="required sm-form-control" id="form-widget-message" minlength="2" required rows="6" cols="30"></textarea>
                                                </div>

                                                <div class="col-12 form-group d-none">
                                                    <input type="text" id="form-widget--botcheck" name="form-widget-botcheck" value="" class="sm-form-control" />
                                                </div>

                                                <div class="col-12 form-group">
                                                    <button class="button button-3d m-0" type="submit" id="form-widget--submit" name="form-widget--submit" value="submit"><?php echo e(__('Send')); ?></button>
                                                </div>
                                            </div>

                                            <input type="hidden" name="prefix" value="widget-subscribe-form-">
                                        </form>
                                    </div>
                                </div>

                                <div class="sidebar col-lg-3">
                                    <address>
                                        <strong><?php echo e(__('Office')); ?>:</strong><br>
                                        <?php echo e($Parameter->OfficeAddress); ?>

                                    </address>
                                    <abbr title="<?php echo e(__('Phone Number')); ?>"><strong><?php echo e(__('Phone Number')); ?>:</strong></abbr> <?php echo e($Parameter->PhoneNumber); ?><br>
                                    <abbr title="<?php echo e(__('Email Address')); ?>"><strong><?php echo e(__('Email Address')); ?>:</strong></abbr> <?php echo e($Parameter->EmailAddress); ?>


                                    <div class="widget border-0 pt-0">
                                        <a href="<?php echo e($Parameter->Facebook); ?>" class="social-icon si-small si-dark si-facebook" target="_blank">
                                            <i class="icon-facebook"></i>
                                            <i class="icon-facebook"></i>
                                        </a>

                                        <a href="<?php echo e($Parameter->Instagram); ?>" class="social-icon si-small si-dark si-instagram" target="_blank">
                                            <i class="icon-instagram"></i>
                                            <i class="icon-instagram"></i>
                                        </a>

                                        <a href="<?php echo e($Parameter->Youtube); ?>" class="social-icon si-small si-dark si-youtube" target="_blank">
                                            <i class="icon-youtube"></i>
                                            <i class="icon-youtube"></i>
                                        </a>

                                        <a href="<?php echo e($Parameter->Whatsapp); ?>" class="social-icon si-small si-dark si-evernote" target="_blank">
                                            <i class="icon-whatsapp"></i>
                                            <i class="icon-whatsapp"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </main>

            <?php echo $__env->make( 'website.inc.footer' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        </div>

        <?php echo $__env->make( 'website.inc.javascripts' , \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </body>
</html>
<?php /**PATH C:\Users\gui-b\.xampp\htdocs\FamilyDreamsHouse\resources\views/website/contact.blade.php ENDPATH**/ ?>